clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
118.7
120.6625
122.625
124.5875
126.55
128.5125
130.475
132.4375
134.4
136.3625
138.325
140.2875
142.25
144.2125
146.175
148.1375
150.1
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000792122	0.000864287	0.000958909	0.00108708	0.00126871	0.0015435;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000800299	0.000873862	0.000970247	0.00110072	0.00128553	0.00156501;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000808502	0.000883461	0.000981604	0.00111439	0.00130236	0.00158652;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000816729	0.00089308	0.000992979	0.00112806	0.0013192	0.00160803;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000764048	0.00082498	0.00090272	0.00100437	0.00114175	0.00133606	0.00162956;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000771191	0.000833253	0.00091238	0.00101578	0.00115545	0.00135292	0.00165108;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000778357	0.000841548	0.000922058	0.00102721	0.00116917	0.00136979	0.00167262;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000785546	0.000849863	0.000931754	0.00103865	0.0011829	0.00138667	0.00169416;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000792757	0.000858197	0.000941468	0.0010501	0.00119663	0.00140355	0.0017157;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000799989	0.000866551	0.000951197	0.00106157	0.00121038	0.00142045	0.00173725;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000807241	0.000874922	0.000960943	0.00107305	0.00122414	0.00143735	0.0017588;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000759295	0.000814512	0.00088331	0.000970702	0.00108455	0.00123791	0.00145426	0.00178035;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000765656	0.000821802	0.000891716	0.000980477	0.00109605	0.00125169	0.00147118	0.00180191;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000772036	0.000829109	0.000900136	0.000990265	0.00110757	0.00126548	0.0014881	0.00182347;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000778435	0.000836434	0.000908571	0.00100007	0.0011191	0.00127928	0.00150503	0.00184504;
0.00074668	0.000755861	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000784852	0.000843775	0.000917022	0.00100988	0.00113064	0.00129308	0.00152196	0.0018666;
0.000731208	0.000740171	0.000749191	0.000758268	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000791287	0.000851132	0.000925486	0.00101971	0.00114219	0.00130689	0.0015389	0.00188817];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0006 0.00188817])
ylim([118.7E9 150.1E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([118.7E9 125.0E9 130.0E9 135.0E9 140.0E9 145.0E9 150.1E9])
zticks([0.0007586 0.00095 0.00115 0.00135 0.00155 0.00175 0.00188817])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20AlDoped_strainenergy_LLZO_48e.eps
print -dpng Highload_20AlDoped_strainenergy_LLZO_48e.png